package com.ho.business.mapper;

import com.ho.business.entity.TopologyJumpConfig;
import com.ho.business.vo.req.topologyJumpConfig.TopologyJumpConfigReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xwz
 * @desc: 拓扑配置表
 * @DateTime: 2024/5/14
 */
@Mapper
public interface TopologyJumpConfigMapper {

    List<TopologyJumpConfig> selectByParam(TopologyJumpConfigReq vo);

    int insertOne(TopologyJumpConfig vo);

    int insertList(@Param("list") List<TopologyJumpConfig> list);

    int updateById(TopologyJumpConfig vo);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByList(@Param("ids") List<Integer> ids);
}
